#import "AppDelegate.h"
#import "GeneratedPluginRegistrant.h"
#import "Zhuge.h"

@implementation AppDelegate

- (BOOL)application:(UIApplication *)application
    didFinishLaunchingWithOptions:(NSDictionary *)launchOptions {
  [GeneratedPluginRegistrant registerWithRegistry:self];
  // Override point for customization after application launch.
    Zhuge *zhuge = [Zhuge sharedInstance];
//    zhuge.config.zgSeeEnable = YES;
    zhuge.config.autoTrackEnable = YES;
    [zhuge.config setDebug:YES];
    zhuge.config.enableLoger = YES;
    zhuge.config.exceptionTrack = YES;
    zhuge.config.sendInterval = 20; //上报时间间隔。
    zhuge.config.cacheMaxSize = 300; //本地最大记录缓存数。
    zhuge.config.sendMaxSizePerDay = 1000; //每日最大上传记录数。
    // 推送指定deviceToken上传到开发环境或生产环境，默认YES，上传到生产环境
    [zhuge.config setApsProduction:NO];
    [zhuge startWithAppKey:@"3cb1c301f4af4a41844524eea54be633" launchOptions:launchOptions];
  return [super application:application didFinishLaunchingWithOptions:launchOptions];
}

@end
